Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum InplaceState

    java.lang.Object
      java.lang.Enum<InplaceState>
          org.richfaces.component.InplaceState

All Implemented Interfaces:
  Serializable, Comparable<InplaceState>

    public enum InplaceState

extends Enum<InplaceState>

Author:
  Anton Belevich

Enum Constant Summary
`changed`
`edit`
`ready`

Method Summary
`static InplaceState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InplaceState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ready

    public static final InplaceState ready

### edit

    public static final InplaceState edit

### changed

    public static final InplaceState changed

Method Detail

### values

    public static InplaceState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InplaceState c : InplaceState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InplaceState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.